summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorArchadept2017-03-22 18:33:21 +0100
committerArchadept2017-03-22 18:33:21 +0100
commitcd40660f38f6082b87b490d4057a9d01c6fb875d (patch)
tree4216aa4320eef531a75795e574c24267e56a1375
parent51370eecf2a920b2b9e7eb067545dae65bed5758 (diff)
downloadaur-cd40660f38f6082b87b490d4057a9d01c6fb875d.tar.gz
Switched to scons as it works best
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD17
2 files changed, 13 insertions, 10 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 77adcb27e32..c1ab1e0e636 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,14 +1,14 @@
# Generated by mksrcinfo v8
-# Sun May 29 20:45:13 UTC 2016
+# Wed Mar 22 17:29:38 UTC 2017
pkgbase = wesnoth-git
pkgdesc = The latest version of a turn-based strategy game on a fantasy world
- pkgver = 1.13.4.830.g617d22e
+ pkgver = 1.13.7.34.g9a288ab78c
pkgrel = 1
url = http://www.wesnoth.org/
arch = x86_64
license = GPL
makedepends = openssh
- makedepends = cmake
+ makedepends = scons
makedepends = git
makedepends = gcc
depends = boost
diff --git a/PKGBUILD b/PKGBUILD
index 8f05d1d7cb0..39938b39a39 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,16 +1,16 @@
# Maintainer: Archadept
-# Revision: 2016-05-29
+# Revision: 2017-03-22
pkgname=wesnoth-git
_gitname=wesnoth
-pkgver=1.13.4.830.g617d22e
+pkgver=1.13.7.34.g9a288ab78c
pkgrel=1
pkgdesc="The latest version of a turn-based strategy game on a fantasy world"
arch=('x86_64')
url="http://www.wesnoth.org/"
license=('GPL')
depends=('boost' 'boost-libs' 'fribidi' 'sdl2' 'sdl2_ttf' 'sdl2_net' 'sdl2_mixer' 'sdl2_image' 'libvorbis' 'pango' 'python')
-makedepends=('openssh' 'cmake' 'git' 'gcc')
+makedepends=('openssh' 'scons' 'git' 'gcc')
conflicts=('wesnoth' 'wesnoth-data')
provides=('wesnoth')
@@ -30,9 +30,12 @@ build() {
}
package() {
- cd "$srcdir/$_gitname-build/cmake"
+ cd ${_gitname}-build
- cmake .. -DPREFERENCES_DIR=.local/share/wesnoth/git -DCMAKE_INSTALL_PREFIX=$pkgdir/usr
- make
- make install
+ scons prefsdir=.local/share/$_gitname/git prefix=/usr debug=yes || return 1
+ scons destdir=${pkgdir} install || return 1
+
+ cd ${pkgdir}
+
+ rm -R var
}